header {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1000;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--bg-color);
  box-shadow: 0 0.4rem 30rem rgba(0, 0, 0, 0.1);
  padding: 15px 14%;
  transition: all ease 0.52s;
}

.logo img {
  width: 50px;
  max-width: 100%;
  height: auto;
  margin-right: 10px;
}

.navbar {
  display: flex;
}

.navbar a {
  position: relative;
  margin: 0px 15px;
  padding: 5px 5px;
  font-size: var(--p-font);
  font-weight: 500;
  color: var(--text-color);
  transition: all ease 0.5s;
}

.navbar a::after {
  position: absolute;
  content: "";
  height: 3px;
  bottom: 0px;
  width: 0%;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 2px;
  background: var(--main-color);
  transition: all ease 0.5s;
}

.navbar a:hover::after {
  width: 40%;
}

.navbar a:hover {
  color: var(--main-color);
}

.navbar a.active {
  color: var(--main-color);
}

.navbar a.active::after {
  width: 40%;
}

.header-icons {
  display: flex;
  align-items: center;
  justify-content: center;
}

.header-icons i {
  vertical-align: middle;
  font-size: 1.5rem;
  color: var(--text-color);
  margin-left: 20px;
  transition: all ease.50s;
}

#menu-icon {
  color: var(--text-color);
  font-size: 30px;
  z-index: 10001;
  margin-left: 25px;
  cursor: pointer;
  display: none;
}

/* RESPONSIVE */

@media screen and (max-width: 1023px) {
  #menu-icon {
    display: block;
  }
  .navbar {
    position: absolute;
    top: -500px;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    text-align: left;
    background-color: var(--bg-color);
    box-shadow: 0 4px 4px rgb(0 0 0 /10%);
    transition: all ease 0.5s;
  }
  .navbar a {
    display: block;
    font-size: 24px;
    font-weight: 600;
    margin: 5px 30px;
    padding: 10px 0;
  }
  .navbar a::after {
    display: none;
  }
  .navbar.open {
    top: 100%;
  }
}
